package com.wdkl.ncs.android.middleware.model.dos;

import com.fasterxml.jackson.databind.PropertyNamingStrategy;
import com.fasterxml.jackson.databind.annotation.JsonNaming;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.wdkl.ncs.android.middleware.model.annotation.Column;
import com.wdkl.ncs.android.middleware.model.annotation.Id;
import com.wdkl.ncs.android.middleware.model.annotation.PrimaryKeyField;
import com.wdkl.ncs.android.middleware.model.annotation.Table;

import java.io.Serializable;

@Table(name = "ncs_customer_mapping")
@ApiModel
@JsonNaming(value = PropertyNamingStrategy.SnakeCaseStrategy.class)
public class CustomerMappingDO implements Serializable {

    /**
     * null
     */
    @Column(name = "id")
    @ApiModelProperty(value = "null", required = false)
    @Id(name = "id")
    private Integer id;
    /**
     * null
     */
    @Column(name = "union_id")
    @ApiModelProperty(value = "null", required = false)
    private String unionId;
    /**
     * null
     */
    @Column(name = "sync_time")
    @ApiModelProperty(value = "null", required = false)
    private Long syncTime;
    /**
     * null
     */
    @Column(name = "part_id")
    @ApiModelProperty(value = "null", required = false)
    private Integer partId;
    /**
     * 病人ID
     */
    @Column(name = "customer_id")
    @ApiModelProperty(value = "病人ID", required = false)
    private Integer customerId;
    /**
     * 关联表主键值
     */
    @Column(name = "nurse_config_option_id")
    @ApiModelProperty(value = "关联表主键值", required = false)
    private Integer nurseConfigOptionId;
    /**
     * null
     */
    @Column(name = "clerk_id")
    @ApiModelProperty(value = "null", required = false)
    private Integer clerkId;
    /**
     * 关联费用配置项
     */
    @Column(name = "fee_config_id")
    @ApiModelProperty(value = "关联费用配置项", required = false)
    private Integer feeConfigId;
    /**
     * 不使用费用配置表时使用此字段
     */
    @Column(name = "fee_name")
    @ApiModelProperty(value = "不使用费用配置表时使用此字段", required = false)
    private String feeName;
    /**
     * null
     */
    @Column(name = "fee_value")
    @ApiModelProperty(value = "null", required = false)
    private Double feeValue;
    /**
     * null
     */
    @Column(name = "examination_config_id")
    @ApiModelProperty(value = "null", required = false)
    private Integer examinationConfigId;
    /**
     * null
     */
    @Column(name = "examination_name")
    @ApiModelProperty(value = "null", required = false)
    private String examinationName;
    /**
     * null
     */
    @Column(name = "examination_value")
    @ApiModelProperty(value = "null", required = false)
    private String examinationValue;


    @PrimaryKeyField
    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }


    public String getUnionId() {
        return unionId;
    }

    public void setUnionId(String unionId) {
        this.unionId = unionId;
    }


    public Long getSyncTime() {
        return syncTime;
    }

    public void setSyncTime(Long syncTime) {
        this.syncTime = syncTime;
    }


    public Integer getPartId() {
        return partId;
    }

    public void setPartId(Integer partId) {
        this.partId = partId;
    }


    public Integer getCustomerId() {
        return customerId;
    }

    public void setCustomerId(Integer customerId) {
        this.customerId = customerId;
    }


    public Integer getNurseConfigOptionId() {
        return nurseConfigOptionId;
    }

    public void setNurseConfigOptionId(Integer nurseConfigOptionId) {
        this.nurseConfigOptionId = nurseConfigOptionId;
    }


    public Integer getClerkId() {
        return clerkId;
    }

    public void setClerkId(Integer clerkId) {
        this.clerkId = clerkId;
    }


    public Integer getFeeConfigId() {
        return feeConfigId;
    }

    public void setFeeConfigId(Integer feeConfigId) {
        this.feeConfigId = feeConfigId;
    }


    public String getFeeName() {
        return feeName;
    }

    public void setFeeName(String feeName) {
        this.feeName = feeName;
    }


    public Double getFeeValue() {
        return feeValue;
    }

    public void setFeeValue(Double feeValue) {
        this.feeValue = feeValue;
    }


    public Integer getExaminationConfigId() {
        return examinationConfigId;
    }

    public void setExaminationConfigId(Integer examinationConfigId) {
        this.examinationConfigId = examinationConfigId;
    }


    public String getExaminationName() {
        return examinationName;
    }

    public void setExaminationName(String examinationName) {
        this.examinationName = examinationName;
    }


    public String getExaminationValue() {
        return examinationValue;
    }

    public void setExaminationValue(String examinationValue) {
        this.examinationValue = examinationValue;
    }

}
